Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta.strats
Class RelationRelationMapTableFieldStrategy

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
          org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
              org.apache.openjpa.jdbc.meta.strats.ContainerFieldStrategy
                  org.apache.openjpa.jdbc.meta.strats.MapTableFieldStrategy
                      kodo.jdbc.meta.strats.RelationRelationMapTableFieldStrategy

All Implemented Interfaces:
  org.apache.openjpa.jdbc.meta.FieldStrategy, org.apache.openjpa.jdbc.meta.Strategy, org.apache.openjpa.jdbc.meta.strats.LRSMapFieldStrategy

    public class RelationRelationMapTableFieldStrategy

extends org.apache.openjpa.jdbc.meta.strats.MapTableFieldStrategy

Mapping for a map whose keys and values are both relations to other persistent objects.

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
`field`

Constructor Summary
`RelationRelationMapTableFieldStrategy()`

Method Summary
`org.apache.openjpa.jdbc.schema.Column[]` | `getKeyColumns(org.apache.openjpa.jdbc.meta.ClassMapping cls)`
`org.apache.openjpa.jdbc.sql.Result[]` | `getResults(org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch, int eagerMode, org.apache.openjpa.jdbc.sql.Joins[] resJoins, boolean lrs)`
`org.apache.openjpa.jdbc.schema.Column[]` | `getValueColumns(org.apache.openjpa.jdbc.meta.ClassMapping cls)`
`void` | `initialize()`
`void` | `insert(org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.sql.RowManager rm)`
`org.apache.openjpa.jdbc.sql.Joins` | `joinKeyRelation(org.apache.openjpa.jdbc.sql.Joins joins, boolean forceOuter, boolean traverse)`
`org.apache.openjpa.jdbc.sql.Joins` | `joinKeyRelation(org.apache.openjpa.jdbc.sql.Joins joins, org.apache.openjpa.jdbc.meta.ClassMapping key)`
`org.apache.openjpa.jdbc.sql.Joins` | `joinRelation(org.apache.openjpa.jdbc.sql.Joins joins, boolean forceOuter, boolean traverse)`
`org.apache.openjpa.jdbc.sql.Joins` | `joinValueRelation(org.apache.openjpa.jdbc.sql.Joins joins, org.apache.openjpa.jdbc.meta.ClassMapping val)`
`Object` | `loadKey(org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch, org.apache.openjpa.jdbc.sql.Result res, org.apache.openjpa.jdbc.sql.Joins joins)`
`Object` | `loadValue(org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch, org.apache.openjpa.jdbc.sql.Result res, org.apache.openjpa.jdbc.sql.Joins joins)`
`void` | `map(boolean adapt)`
`void` | `selectKey(org.apache.openjpa.jdbc.sql.Select sel, org.apache.openjpa.jdbc.meta.ClassMapping key, org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch, org.apache.openjpa.jdbc.sql.Joins joins)`
`void` | `selectValue(org.apache.openjpa.jdbc.sql.Select sel, org.apache.openjpa.jdbc.meta.ClassMapping val, org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch, org.apache.openjpa.jdbc.sql.Joins joins)`
`Object` | `toDataStoreValue(Object val, org.apache.openjpa.jdbc.kernel.JDBCStore store)`
`Object` | `toKeyDataStoreValue(Object val, org.apache.openjpa.jdbc.kernel.JDBCStore store)`
`void` | `update(org.apache.openjpa.kernel.OpenJPAStateManager sm, org.apache.openjpa.jdbc.kernel.JDBCStore store, org.apache.openjpa.jdbc.sql.RowManager rm)`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.MapTableFieldStrategy
`delete, deriveKey, deriveValue, getFieldMapping, getIndependentElementMappings, getIndependentKeyMappings, getIndependentValueMappings, getJoinForeignKey, getJoinForeignKey, join, joinKey, load, loadKeyProjection, loadProjection, supportsSelect`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.ContainerFieldStrategy
`appendIsEmpty, appendIsNotEmpty, appendIsNotNull, appendIsNull, appendJoinCount, appendSize, appendUnaliasedJoin`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy
`assertNotMappedBy, isEagerSelectToMany, isVersionable, load, loadEagerJoin, loadEagerParallel, select, selectEagerJoin, selectEagerParallel, setFieldMapping, where`

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractStrategy
`customDelete, customInsert, customUpdate, getAlias, isCustomDelete, isCustomInsert, isCustomUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.jdbc.meta.FieldStrategy
`appendIsEmpty, appendIsNotEmpty, appendIsNotNull, appendIsNull, appendSize, isEagerSelectToMany, isVersionable, load, loadEagerJoin, loadEagerParallel, select, selectEagerJoin, selectEagerParallel, setFieldMapping, where`

Methods inherited from interface org.apache.openjpa.jdbc.meta.Strategy
`customDelete, customInsert, customUpdate, getAlias, isCustomDelete, isCustomInsert, isCustomUpdate`

Constructor Detail

### RelationRelationMapTableFieldStrategy

    public RelationRelationMapTableFieldStrategy()

Method Detail

### getKeyColumns

    public org.apache.openjpa.jdbc.schema.Column[] getKeyColumns(org.apache.openjpa.jdbc.meta.ClassMapping cls)

### getValueColumns

    public org.apache.openjpa.jdbc.schema.Column[] getValueColumns(org.apache.openjpa.jdbc.meta.ClassMapping cls)

### selectKey

    public void selectKey(org.apache.openjpa.jdbc.sql.Select sel,
                          org.apache.openjpa.jdbc.meta.ClassMapping key,
                          org.apache.openjpa.kernel.OpenJPAStateManager sm,
                          org.apache.openjpa.jdbc.kernel.JDBCStore store,
                          org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch,
                          org.apache.openjpa.jdbc.sql.Joins joins)

### selectValue

    public void selectValue(org.apache.openjpa.jdbc.sql.Select sel,
                            org.apache.openjpa.jdbc.meta.ClassMapping val,
                            org.apache.openjpa.kernel.OpenJPAStateManager sm,
                            org.apache.openjpa.jdbc.kernel.JDBCStore store,
                            org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch,
                            org.apache.openjpa.jdbc.sql.Joins joins)

### getResults

    public org.apache.openjpa.jdbc.sql.Result[] getResults(org.apache.openjpa.kernel.OpenJPAStateManager sm,
                                                           org.apache.openjpa.jdbc.kernel.JDBCStore store,
                                                           org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch,
                                                           int eagerMode,
                                                           org.apache.openjpa.jdbc.sql.Joins[] resJoins,
                                                           boolean lrs)
                                                    throws SQLException

  Throws:
    `SQLException`

### loadKey

    public Object loadKey(org.apache.openjpa.kernel.OpenJPAStateManager sm,
                          org.apache.openjpa.jdbc.kernel.JDBCStore store,
                          org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch,
                          org.apache.openjpa.jdbc.sql.Result res,
                          org.apache.openjpa.jdbc.sql.Joins joins)
                   throws SQLException

  Throws:
    `SQLException`

### loadValue

    public Object loadValue(org.apache.openjpa.kernel.OpenJPAStateManager sm,
                            org.apache.openjpa.jdbc.kernel.JDBCStore store,
                            org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch,
                            org.apache.openjpa.jdbc.sql.Result res,
                            org.apache.openjpa.jdbc.sql.Joins joins)
                     throws SQLException

  Throws:
    `SQLException`

### joinKeyRelation

    public org.apache.openjpa.jdbc.sql.Joins joinKeyRelation(org.apache.openjpa.jdbc.sql.Joins joins,
                                                             org.apache.openjpa.jdbc.meta.ClassMapping key)

  Specified by:
    `joinKeyRelation` in interface `org.apache.openjpa.jdbc.meta.strats.LRSMapFieldStrategy`
  Overrides:
    `joinKeyRelation` in class `org.apache.openjpa.jdbc.meta.strats.MapTableFieldStrategy`

### joinValueRelation

    public org.apache.openjpa.jdbc.sql.Joins joinValueRelation(org.apache.openjpa.jdbc.sql.Joins joins,
                                                               org.apache.openjpa.jdbc.meta.ClassMapping val)

  Specified by:
    `joinValueRelation` in interface `org.apache.openjpa.jdbc.meta.strats.LRSMapFieldStrategy`
  Overrides:
    `joinValueRelation` in class `org.apache.openjpa.jdbc.meta.strats.MapTableFieldStrategy`

### map

    public void map(boolean adapt)

  Specified by:
    `map` in interface `org.apache.openjpa.jdbc.meta.Strategy`
  Overrides:
    `map` in class `org.apache.openjpa.jdbc.meta.strats.MapTableFieldStrategy`

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `org.apache.openjpa.jdbc.meta.Strategy`
  Overrides:
    `initialize` in class `org.apache.openjpa.jdbc.meta.strats.AbstractStrategy`

### insert

    public void insert(org.apache.openjpa.kernel.OpenJPAStateManager sm,
                       org.apache.openjpa.jdbc.kernel.JDBCStore store,
                       org.apache.openjpa.jdbc.sql.RowManager rm)
                throws SQLException

  Specified by:
    `insert` in interface `org.apache.openjpa.jdbc.meta.Strategy`
  Overrides:
    `insert` in class `org.apache.openjpa.jdbc.meta.strats.AbstractStrategy`
  Throws:
    `SQLException`

### update

    public void update(org.apache.openjpa.kernel.OpenJPAStateManager sm,
                       org.apache.openjpa.jdbc.kernel.JDBCStore store,
                       org.apache.openjpa.jdbc.sql.RowManager rm)
                throws SQLException

  Specified by:
    `update` in interface `org.apache.openjpa.jdbc.meta.Strategy`
  Overrides:
    `update` in class `org.apache.openjpa.jdbc.meta.strats.AbstractStrategy`
  Throws:
    `SQLException`

### joinRelation

    public org.apache.openjpa.jdbc.sql.Joins joinRelation(org.apache.openjpa.jdbc.sql.Joins joins,
                                                          boolean forceOuter,
                                                          boolean traverse)

  Specified by:
    `joinRelation` in interface `org.apache.openjpa.jdbc.meta.FieldStrategy`
  Overrides:
    `joinRelation` in class `org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy`

### joinKeyRelation

    public org.apache.openjpa.jdbc.sql.Joins joinKeyRelation(org.apache.openjpa.jdbc.sql.Joins joins,
                                                             boolean forceOuter,
                                                             boolean traverse)

  Specified by:
    `joinKeyRelation` in interface `org.apache.openjpa.jdbc.meta.FieldStrategy`
  Overrides:
    `joinKeyRelation` in class `org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy`

### toDataStoreValue

    public Object toDataStoreValue(Object val,
                                   org.apache.openjpa.jdbc.kernel.JDBCStore store)

  Specified by:
    `toDataStoreValue` in interface `org.apache.openjpa.jdbc.meta.FieldStrategy`
  Overrides:
    `toDataStoreValue` in class `org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy`

### toKeyDataStoreValue

    public Object toKeyDataStoreValue(Object val,
                                      org.apache.openjpa.jdbc.kernel.JDBCStore store)

  Specified by:
    `toKeyDataStoreValue` in interface `org.apache.openjpa.jdbc.meta.FieldStrategy`
  Overrides:
    `toKeyDataStoreValue` in class `org.apache.openjpa.jdbc.meta.strats.AbstractFieldStrategy`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.